Ruby master - Bug #5674

[mingw] build failure due to win/win32.c ‘'rb_w32_getc’

11/27/2011 04:08 AM - jonforums (Jon Forums)

Status: Closed

Priority: Normal

Assignee:

Target version: 2.0.0

ruby -v: - Backport:
Description

While building trunk@33852 using TDM-GCC v4.5.2 | get the following failure:

C:\Users\Jon\Documents\RubyDev\ruby-git\build>sh -c "../configure --disable-shared --disable-install-doc && make

compiling ../missing/ffs.c

compiling ../missing/setproctitle.c
compiling ../win32/win32.c
../win32/win32.c: In function 'rb_w32_getc":

../win32/win32.¢:4895:9: error: 'FILE' has no member named 'FILE_ COUNT'
../win32/win32.c:4896:28: error: 'FILE' has no member named 'FILE_READPTR'

../win32/win32.c: In function 'rb_w32_putc":

../win32/win32.¢:4915:9: error: 'FILE' has no member named 'FILE_ COUNT'
../win32/win32.c:4916:29: error: 'FILE' has no member named 'FILE_READPTR'

make: *** [win32.0] Error 1

Associated revisions

Revision ed78271c - 11/27/2011 04:55 AM - kosaki (Motohiro KOSAKI)

e configure.in: revert r33832 and r33833. [ruby-core:41313] [Bug #5674]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@33859 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 33859 - 11/27/2011 04:55 AM - kosaki (Motohiro KOSAKI)

e configure.in: revert r33832 and r33833. [ruby-core:41313] [Bug #5674]

Revision 33859 - 11/27/2011 04:55 AM - kosaki (Motohiro KOSAKI)

e configure.in: revert r33832 and r33833. [ruby-core:41313] [Bug #5674]

Revision 33859 - 11/27/2011 04:55 AM - kosaki (Motohiro KOSAKI)

e configure.in: revert r33832 and r33833. [ruby-core:41313] [Bug #5674]

Revision 33859 - 11/27/2011 04:55 AM - kosaki (Motohiro KOSAKI)

e configure.in: revert r33832 and r33833. [ruby-core:41313] [Bug #5674]

Revision 33859 - 11/27/2011 04:55 AM - kosaki (Motohiro KOSAKI)

e configure.in: revert r33832 and r33833. [ruby-core:41313] [Bug #5674]

Revision 33859 - 11/27/2011 04:55 AM - kosaki (Motohiro KOSAKI)

e configure.in: revert r33832 and r33833. [ruby-core:41313] [Bug #5674]

Revision 61b3acd5 - 11/28/2011 01:23 AM - usa (Usaku NAKAMURA)
® win32/{Makeilfe.sub,win32.c} (FILE_COUNT, FILE_READPTR): move the definitions from config.h to win32.c. | dared to have left such macros,
for other future compiler support. [ruby-core:41313] [Bug #5674]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@33875 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 33875 - 11/28/2011 01:23 AM - usa (Usaku NAKAMURA)

e win32/{Makeilfe.sub,win32.c} (FILE_COUNT, FILE_READPTR): move the definitions from config.h to win32.c. | dared to have left such macros,
for other future compiler support. [ruby-core:41313] [Bug #5674]

Revision 33875 - 11/28/2011 01:23 AM - usa (Usaku NAKAMURA)

¢ win32/{Makeilfe.sub,win32.c} (FILE_COUNT, FILE_READPTR): move the definitions from config.h to win32.c. | dared to have left such macros,
for other future compiler support. [ruby-core:41313] [Bug #5674]

Revision 33875 - 11/28/2011 01:23 AM - usa (Usaku NAKAMURA)

¢ win32/{Makeilfe.sub,win32.c} (FILE_COUNT, FILE_READPTR): move the definitions from config.h to win32.c. | dared to have left such macros,
for other future compiler support. [ruby-core:41313] [Bug #5674]

Revision 33875 - 11/28/2011 01:23 AM - usa (Usaku NAKAMURA)

e win32/{Makeilfe.sub,win32.c} (FILE_COUNT, FILE_READPTR): move the definitions from config.h to win32.c. | dared to have left such macros,
for other future compiler support. [ruby-core:41313] [Bug #5674]

Revision 33875 - 11/28/2011 01:23 AM - usa (Usaku NAKAMURA)

¢ win32/{Makeilfe.sub,win32.c} (FILE_COUNT, FILE_READPTR): move the definitions from config.h to win32.c. | dared to have left such macros,
for other future compiler support. [ruby-core:41313] [Bug #5674]

Revision 33875 - 11/28/2011 01:23 AM - usa (Usaku NAKAMURA)

¢ win32/{Makeilfe.sub,win32.c} (FILE_COUNT, FILE_READPTR): move the definitions from config.h to win32.c. | dared to have left such macros,
for other future compiler support. [ruby-core:41313] [Bug #5674]

History

#1 - 11/27/2011 01:55 PM - kosaki (Motohiro KOSAKI)
- Status changed from Open to Closed
- % Done changed from 0 to 100

This issue was solved with changeset r33859.
Jon, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e configure.in: revert r33832 and r33833. [ruby-core:41313] [Bug #5674]

#2 - 11/27/2011 02:23 PM - kosaki (Motohiro KOSAKI)
- ruby -v changed from ruby 1.9.3p0 (2011-11-08 revision 33661) [i386-mingw32] to -

While building trunk@33852 using TDM-GCC v4.5.2 | get the following failure:
C:\Users\Jon\Documents\RubyDew\ruby-git\build>sh -c "../configure --disable-shared --disable-install-doc && make"

compiling ../missing/ffs.c

compiling ../missing/setproctitle.c

compiling ../win32/win32.c

../win32/win32.c: In function 'rb_w32_getc":

../win32/win32.c:4895:9: error: 'FILE' has no member named 'FILE_COUNT'
../win32/win32.¢:4896:28: error: 'FILE' has no member named 'FILE_ READPTR'
../win32/win32.c: In function 'rb_w32_putc':

../win32/win32.¢:4915:9: error: 'FILE' has no member named 'FILE_COUNT'
../win32/win32.¢:4916:29: error: 'FILE' has no member named 'FILE_READPTR'
make: *** [win32.0] Error 1

I'm sorry. | overlooked win32. | reverted guilty commits.
Thanks.
#3 - 11/28/2011 10:25 AM - usa (Usaku NAKAMURA)

kosaki-san, you don't have to revert.
re-commit them.
